API ReferenceTables API
Duplicate Table
Duplicates the table schema & content
Path Parameters
sourceTableId*string
The table's unique identifier
Request Body
application/json
Parameters for the duplication operation.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/tables/string/duplicate" \ -H "Content-Type: application/json" \ -d '{}'{ "table": { "id": "string", "name": "string", "factor": 1, "frozen": true, "keyColumn": "string", "schema": { "$schema": "string", "properties": { "property1": { "type": "string", "format": "date-time", "description": "string", "pattern": "string", "enum": [ "string" ], "items": { "type": "string" }, "nullable": true, "properties": { "property1": { "type": "string" }, "property2": { "type": "string" } }, "x-zui": { "index": 0, "id": "string", "searchable": true, "hidden": true, "order": 0, "width": 0, "schemaId": "string", "computed": { "action": "ai", "dependencies": [], "prompt": "string", "code": "string", "model": "gpt-4o", "workflowId": "string", "enabled": true }, "typings": "string" } }, "property2": { "type": "string", "format": "date-time", "description": "string", "pattern": "string", "enum": [ "string" ], "items": { "type": "string" }, "nullable": true, "properties": { "property1": { "type": "string" }, "property2": { "type": "string" } }, "x-zui": { "index": 0, "id": "string", "searchable": true, "hidden": true, "order": 0, "width": 0, "schemaId": "string", "computed": { "action": "ai", "dependencies": [], "prompt": "string", "code": "string", "model": "gpt-4o", "workflowId": "string", "enabled": true }, "typings": "string" } } }, "additionalProperties": true, "required": [ "string" ], "type": "object" }, "tags": { "property1": "string", "property2": "string" }, "isComputeEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "rows": 0, "job": { "id": "string", "status": "string" }}{ "table": { "id": "string", "name": "string", "factor": 1, "frozen": true, "keyColumn": "string", "schema": { "$schema": "string", "properties": { "property1": { "type": "string", "format": "date-time", "description": "string", "pattern": "string", "enum": [ "string" ], "items": { "type": "string" }, "nullable": true, "properties": { "property1": { "type": "string" }, "property2": { "type": "string" } }, "x-zui": { "index": 0, "id": "string", "searchable": true, "hidden": true, "order": 0, "width": 0, "schemaId": "string", "computed": { "action": "ai", "dependencies": [], "prompt": "string", "code": "string", "model": "gpt-4o", "workflowId": "string", "enabled": true }, "typings": "string" } }, "property2": { "type": "string", "format": "date-time", "description": "string", "pattern": "string", "enum": [ "string" ], "items": { "type": "string" }, "nullable": true, "properties": { "property1": { "type": "string" }, "property2": { "type": "string" } }, "x-zui": { "index": 0, "id": "string", "searchable": true, "hidden": true, "order": 0, "width": 0, "schemaId": "string", "computed": { "action": "ai", "dependencies": [], "prompt": "string", "code": "string", "model": "gpt-4o", "workflowId": "string", "enabled": true }, "typings": "string" } } }, "additionalProperties": true, "required": [ "string" ], "type": "object" }, "tags": { "property1": "string", "property2": "string" }, "isComputeEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "rows": 0, "job": { "id": "string", "status": "string" }}